summaryrefslogtreecommitdiff
path: root/tests/rm/f-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1997-08-31 16:17:56 +0000
committerJim Meyering <jim@meyering.net>1997-08-31 16:17:56 +0000
commit377f2fbc5592ded3f941160624ccbdbc24f60758 (patch)
tree11898c5da9d121fde7d9aec91faac7372d508db6 /tests/rm/f-1
parente81e47663f8f64efaf8ab249a739d958cb77c863 (diff)
downloadcoreutils-377f2fbc5592ded3f941160624ccbdbc24f60758.tar.xz
.
Diffstat (limited to 'tests/rm/f-1')
-rwxr-xr-xtests/rm/f-126
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/rm/f-1 b/tests/rm/f-1
new file mode 100755
index 000000000..495bca88e
--- /dev/null
+++ b/tests/rm/f-1
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+: ${RM=rm}
+test=f-1
+
+if test "$VERBOSE" = yes; then
+ set -x
+ $RM --version
+fi
+
+: ${RM_TMPDIR=.}
+tmp=$RM_TMPDIR/t-rm.$$
+
+test_failure=0
+mkdir $tmp || test_failure=1
+
+if test $test_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+$RM -f $tmp/no-such-file || fail=1
+rm -rf $tmp
+
+exit $fail